---
title: Request and response codes: Accounts
slug: apis/accounts/request-and-response-codes-accounts
description: Understand HTTP status codes used in Cross River's account APIs, including transaction codes account status, account types and closure reason.
docTags: 
createdAt: 2024-08-08T13:29:26.904Z
---

## Account status

Values returned in the `status` attribute in the response to many account calls describes whether the account is active or not, and if not, why not.

| Status    | Description                                                     |
| --------- | --------------------------------------------------------------- |
| Inactive  | Dormant for 1 year                                              |
| Active    | Account is active                                               |
| Dormant   | Dormant for 2 years                                             |
| Escheat   | Account is in escheatment (dormant for 3 years)                 |
| Closed    | Account is closed                                               |
| ChargeOff | Account has been overdrawn for a period of greater than 30 days |

## Account types

Values returned in the `accountType` attribute in the response to `POST /v1/dda/accounts` describes the type of account created.

| Type          | Description                                                  |
| ------------- | ------------------------------------------------------------ |
| GeneralLedger | General Ledger                                               |
| Deposit       | Demand Deposit Account (DDA). Checking and Savings accounts. |
| CreditCard    | Credit Card                                                  |
| StoredValue   | Gifts Cards and other stored value accounts                  |
| Wallet        | Wallet account                                               |
| Unknown       |                                                              |

## Subledger type&#x20;

| Type        | Description                                                                                                                                                                                                                                                            |
| ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Passthrough | Subledger balance is informational only and will not be considered when making transaction decisions for the account. Only the master balance is used for transaction decisions. Subledgers can go negative if needed, as long as the funds are in the master account. |
| Direct      | Subledger balance is used for transaction decisions. Implicit subledger cannot go negative.                                                                                                                                                                            |

## Closure reason

Values returned in the `closureReason` attribute in the response to many account calls describes why an account was closed.

| Reason returned                             |
| ------------------------------------------- |
| CustomerInitiatedNoComplaint                |
| CustomerComplaintAccountClosing             |
| CustomerComplaintAddOnProducts              |
| CustomerComplaintApplicationProcessing      |
| CustomerComplaintInterestRate               |
| CustomerComplaintBillingDispute             |
| CustomerComplaintBillingStatement           |
| CustomerComplaintCollectionPractices        |
| CustomerComplaintCreditDetermination        |
| CustomerComplaintCreditReporting            |
| CustomerComplaintCustomerService            |
| CustomerComplaintFraud                      |
| CustomerComplaintFundAvailability           |
| CustomerComplaintLateFees                   |
| CustomerComplaintMerchantDispute            |
| CustomerComplaintOnlineAccountManagement    |
| CustomerComplaintOtherFees                  |
| CustomerComplaintBalanceIssue               |
| CustomerComplaintPromoDispute               |
| CustomerComplaintMarketing                  |
| CustomerComplaintSettlementHardshipPrograms |
| BankPartnerInitiatedNoBalance               |
| PartnerProductClosure                       |
| FirstPartyFraud                             |
| ThirdPartyFraud                             |
| FinancialCrimeNonFraud                      |
| HighOverdraftAmount                         |
| ExceededTransactionLimits                   |
| AccountInactivityDormancyEscheatment        |
| TermsOfServiceBreach                        |
| BulkClosureExcerciseOther                   |
| ChargeOff                                   |





